XMLReader::moveToFirstAttribute
XMLReader::next
XMLReader
PHP Manual

# XMLReader::moveToNextAttribute

(PHP 5 >= 5.1.0)

XMLReader::moveToNextAttribute — Position cursor on the next Attribute

### Description

public bool XMLReader::moveToNextAttribute ( void )

Moves cursor to the next Attribute if positioned on an Attribute or moves to first attribute if positioned on an Element.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- XMLReader::moveToElement() - Position cursor on the parent Element of current Attribute
- XMLReader::moveToAttribute() - Move cursor to a named attribute
- XMLReader::moveToAttributeNo() - Move cursor to an attribute by index
- XMLReader::moveToAttributeNs() - Move cursor to a named attribute
- XMLReader::moveToFirstAttribute() - Position cursor on the first Attribute

XMLReader::moveToFirstAttribute
XMLReader::next
XMLReader
PHP Manual